# generated by cabal-rpm-2.0.0 --standalone
# https://fedoraproject.org/wiki/Packaging:Haskell

%global ghc_without_dynamic 1
%global ghc_without_shared 1
%undefine with_ghc_prof
%undefine with_haddock
%global debug_package %{nil}

%global pkg_name dhall
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           %{pkg_name}
Version:        1.19.1
Release:        1%{?dist}
Summary:        A configuration language guaranteed to terminate

License:        BSD
Url:            https://github.com/dhall-lang/dhall-haskell
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkgver}/%{name}.cabal#/%{pkgver}.cabal
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-Diff-devel
BuildRequires:  ghc-ansi-terminal-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
#BuildRequires:  ghc-cborg-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-contravariant-devel
BuildRequires:  ghc-cryptonite-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-dotgen-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-haskeline-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-types-devel
#BuildRequires:  ghc-lens-family-core-devel
BuildRequires:  ghc-megaparsec-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-optparse-applicative-devel
#BuildRequires:  ghc-parsers-devel
%if 0%{?fedora} >= 32
BuildRequires:  ghc-prettyprinter-devel
%endif
#BuildRequires:  ghc-prettyprinter-ansi-terminal-devel
%if 0%{?fedora} >= 32
BuildRequires:  ghc-repline-devel
%endif
BuildRequires:  ghc-scientific-devel
#BuildRequires:  ghc-serialise-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-uri-encode-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-mockery-devel
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif
# End cabal-rpm deps
BuildRequires:  cabal-install > 1.18
# for missing dep: cborg:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-half-devel
BuildRequires:  ghc-primitive-devel
# for missing dep: parsers:
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base-orphans-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-charset-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-semigroups-devel
%if 0%{?fedora} < 32
# for missing dep: repline:
#BuildRequires:  ghc-fail-devel
BuildRequires:  ghc-process-devel
%endif
# for missing dep: serialise:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-half-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-time-devel

%description
Dhall is an explicitly typed configuration language that is not Turing
complete. Despite being Turing incomplete, Dhall is a real programming language
with a type-checker and evaluator.

Use this library to parse, type-check, evaluate, and pretty-print the Dhall
configuration language. This package also includes an executable which
type-checks a Dhall file and reduces the file to a fully evaluated normal form.

Read "Dhall.Tutorial" to learn how to use this library.


%prep
# Begin cabal-rpm setup:
%setup -q
cp -bp %{SOURCE1} %{name}.cabal
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%global cabal cabal
%cabal update
%cabal sandbox init
%cabal install --only-dependencies
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install
find %{buildroot}%{_libdir} -name 'libHS%{pkgver}-*.so' -delete
rm -r %{buildroot}%{ghclibdir}
# End cabal-rpm install


%check
%cabal_test


%files
# Begin cabal-rpm files:
%license LICENSE
%doc CHANGELOG.md
%{_bindir}/%{name}
# End cabal-rpm files


%changelog
* Tue Jan 28 2020 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.19.1-1
- spec file generated by cabal-rpm-2.0.0
